%define anolis_release 3
%{!?_vpath_builddir:%global _vpath_builddir %{_target_platform}}

%global _enable_debug_package 0
%global debug_package %{nil}
%global __os_install_post /usr/lib/rpm/brp-compress %{nil}
%{!?gtk2_binary_version: %global gtk2_binary_version %(pkg-config  --variable=gtk_binary_version gtk+-2.0)}
%{!?gtk3_binary_version: %global gtk3_binary_version %(pkg-config  --variable=gtk_binary_version gtk+-3.0)}

Name:           deepin-fcitxconfigtool-plugin
Summary:        An input method framework
Version:        4.2.63
Release:        1.%{anolis_release}%{?dist}
License:        GPLv2+
URL:            https://fcitx-im.org/wiki/Fcitx
Source0:        %{name}-%{version}.tar.xz
#add for uos
Patch0:		fix-195690-to-shield-partial-input_method.patch

BuildRequires:		gcc-c++
BuildRequires:		pango-devel, dbus-devel
%if 0%{?rhel} < 8
%else
%ifarch aarch64 s390x
%else
BuildRequires:		enchant-devel
%endif
%endif

BuildRequires:		cmake
BuildRequires:		fcitx, fcitx-devel
BuildRequires:		fcitx-qt5-devel
BuildRequires:		dtkwidget-devel
BuildRequires:		dtkgui-devel dtkcore-devel
BuildRequires:		gtest-devel, gtk3-devel, gtk2-devel
BuildRequires:		qt5-qttools-devel
BuildRequires:		pkgconfig
BuildRequires:		gtest-devel
BuildRequires:		dde-control-center-devel
BuildRequires:		iso-codes, dbus-glib-devel
BuildRequires:	 	gmock-devel, unique-devel
BuildRequires:		dtkwidget-devel
BuildRequires:		dtkgui-devel dtkcore-devel
BuildRequires:		qt5-qtbase-devel
BuildRequires:		qt5-qtbase-gui
BuildRequires:		qt5-qtbase
BuildRequires:		dde-qt-dbus-factory-devel
BuildRequires:		dtkcommon-devel
BuildRequires:		extra-cmake-modules
BuildRequires:		kf5-ki18n-devel
BuildRequires:		gsettings-qt-devel
BuildRequires:		dde-control-center

%description
Fcitx is an input method framework with extension support. Currently it
supports Linux and Unix systems like FreeBSD.

Fcitx tries to provide a native feeling under all desktop as well as a light
weight core. You can easily customize it to fit your requirements.

%package data
Summary:		fcitx-config-tools and multilanguages translations
BuildArch:		noarch
Requires:	 	fcitx

%description data
The %{name} package provides fcitx-config-tools and multilanguages translations

%prep
%setup -q
%patch0 -p1
sed -i 's|"/usr/lib/dde-control-center"|#"/usr/lib/dde-control-center"|' src/CMakeLists.txt tests/CMakeLists.txt

%build
mkdir -p build
pushd build
%cmake ..
popd
make %{?_smp_mflags} -C build/%{_vpath_builddir}

%install
%make_install INSTALL="install -p" -C build/%{_vpath_builddir}

%post 

%postun  

%files 
%doc README.md
%license
#%%{_exec_prefix}/*
%{_bindir}/fcitx-helper
%{_datadir}/%{name}/translations/*.qm
%{_datadir}/glib-2.0/schemas/com.deepin.fcitx-config.gschema.xml
/lib/*

%exclude %{_sysconfdir}/*

%changelog
* Tue Nov 07 2023 yangxianzhao <yangxianzhao@uniontech.com> - 4.2.63-1.3
- rebuild for qt

* Thu Nov 02 2023 yangxianzhao <yangxianzhao@uniontech.com> - 4.2.63-1.02.2
- fix build error

* Mon Aug 28 2023 yangxianzhao <yangxianzhao@uniontech.com> - 4.2.63-1.02.1
- Specification spec file

* Fri May 5 2023 zhangxianting <zhangxianting@uniontech.com> - 4.2.63-1.02
- fix: shielded partial input_method(bugid:195690)

* Tue Jan 17 2023 liweiganga <liweiganga@uniontech.com> - 4.2.63-1.01
- spec: modify bin path

* Wed Jan 11 2023 liweiganga <liweiganga@uniontech.com> - 4.2.63-1
- update: update to 4.2.63

* Mon Jun 13 2022 uoser <uoser@uniontech.com> - 4.2.3-1.01
- update: update to 4.2.3-1.01

